%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jbosgi-metadata
Version:          3.0.0
Release:          1%{?dist}
Summary:          JBoss OSGi Metadata
License:          LGPLv2+ and LGPLv2 and ASL 2.0
URL:              http://community.jboss.org/wiki/JBossOSGi
Source0:          https://github.com/jbosgi/jbosgi-metadata/archive/%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    jbosgi-parent
BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    eclipse-equinox-osgi
BuildRequires:    jboss-logging
BuildRequires:    jboss-logging-tools
BuildRequires:    shrinkwrap

%description
This package contains the JBoss OSGi Metadata.

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%pom_remove_dep "org.osgi:org.osgi.core"
%pom_add_dep "org.eclipse:osgi"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Fri Jun 28 2013 Marek Goldmann <mgoldman@redhat.com> - 3.0.0-1
- Upstream release 3.0.0.Final
- New guidelines

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2.0.3-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 12 2012 Marek Goldmann <mgoldman@redhat.com> 2.0.3-2
- Fixed License tag

* Wed Jun 06 2012 Marek Goldmann <mgoldman@redhat.com> 2.0.3-1
- Initial packaging
